跳转到内容

Ideogram V4.0q [fast]

集成

模型 id ideogram/v4/fast
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ideogram/v4/fast?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

与示例类似的文件: $0.011 11 API 积分 运行前会测量你的文件 在此页面运行

获取 API 密钥
Ideogram 文生图 快速 #realism#typography#stylized

更快速的 V4 文生图,使用简化的提示词扩展选项(None 或 Medium)

Ideogram · 图像

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填

指导图像生成的提示词。

image_size 默认 square_hd

生成图像的分辨率。

rendering_speed 默认 BALANCED

渲染速度设置;更快的选项执行的去噪步骤更少。

num_images 默认 1

要生成的图像数量。

高级 expansion_model · output_format · seed · enable_safety_checker
expansion_model 默认 Medium

提示词扩展选项:选择 'Medium' 使用快速 magic 提示词模型,选择 'None' 则不扩展。

output_format 默认 jpeg

结果图像的文件格式。

生成使用的种子;除非提供值,否则会随机选择。

POST /run/ideogram/v4/fast?wait=20 报价 → $0.011
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ideogram/v4/fast?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Ideogram V4.0q [fast]

更快速的 V4 文生图变体,接收 `prompt`,并允许将 `expansion_model` 设为 None 或 Medium。保留 TURBO、BALANCED 和 QUALITY 三种 `rendering_speed` 选项、尺寸预设、1 到 4 张图像以及 JPEG 或 PNG 输出。不支持主 V4 模型中的 Large 扩展和加速设置。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
prompt必填
类型string
指导图像生成的提示词。
expansion_model可选
类型enum
默认值Medium
NoneMedium
提示词扩展选项:选择 'Medium' 使用快速 magic 提示词模型,选择 'None' 则不扩展。
image_size可选
类型object
默认值square_hd
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
生成图像的分辨率。
rendering_speed可选
类型enum
默认值BALANCED
TURBOBALANCEDQUALITY
渲染速度设置;更快的选项执行的去噪步骤更少。
num_images可选 num_outputs
类型integer
默认值1
1 – 4
要生成的图像数量。
seed可选
类型integer | null
生成使用的种子;除非提供值,否则会随机选择。
enable_safety_checker可选
类型boolean
默认值true
安全检查开关,关闭此设置需要账户授权。没有该授权时,无论设置如何,每个请求都会经过检查;true 启用检查器。
output_format可选
类型enum
默认值jpeg
jpegpng
结果图像的文件格式。
必填 规范名称,也可接受

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ideogram/v4/fast",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 11,
    "usd": "0.011",
    "charged": 11,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
images
array of object {url, content_type, file_name, file_size, width, height}模型生成的图像。
timings
object
seed
integer图像生成种子;如果输入未提供种子,则包含随机选择的值,否则重复使用所提供的值。
has_nsfw_concepts
array of boolean指示生成的图像中是否出现 NSFW 概念。
prompt
string图像生成期间使用的提示词。

更多模型:文生图

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/ideogram/v4/fast.md. 所有模型和指南: https://doitong.com/developers/llms.txt